aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-09-03 09:19:07 +0000
committerbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-09-03 09:19:07 +0000
commitc749280baa92634551f38b56c594b71d657d71c1 (patch)
tree7afa21e4d061274515a28a04b04b7414308bdb6d /sci-physics
parentdev-python/sympy is now in the main tree (diff)
downloadsci-c749280baa92634551f38b56c594b71d657d71c1.tar.gz
sci-c749280baa92634551f38b56c594b71d657d71c1.tar.bz2
sci-c749280baa92634551f38b56c594b71d657d71c1.zip
root: added better emacs support
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@1270 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'sci-physics')
-rw-r--r--sci-physics/root/ChangeLog4
-rw-r--r--sci-physics/root/Manifest4
-rw-r--r--sci-physics/root/root-5.20.00-r1.ebuild39
3 files changed, 31 insertions, 16 deletions
diff --git a/sci-physics/root/ChangeLog b/sci-physics/root/ChangeLog
index e89ea83d4..de9c99d1d 100644
--- a/sci-physics/root/ChangeLog
+++ b/sci-physics/root/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 03 Sep 2008; S├ębastien Fabbro <bicatali@gentoo.org>
+ root-5.20.00-r1.ebuild:
+ Added better emacs support, thanks to ulm, bug #236462
+
30 Aug 2008; S├ębastien Fabbro <bicatali@gentoo.org>
+files/root-5.20.00-configure.patch,
+files/root-5.20.00-include-defines-file.patch,
diff --git a/sci-physics/root/Manifest b/sci-physics/root/Manifest
index 5275f5931..2c2daf3c8 100644
--- a/sci-physics/root/Manifest
+++ b/sci-physics/root/Manifest
@@ -5,6 +5,6 @@ DIST RooFit_Users_Manual_2.07-29.pdf 823371 RMD160 766f2d4264ff5d8a2c85af59fbe03
DIST TMVAUsersGuide_v4.pdf 2355827 RMD160 0624a6ed7e006581eacdaa69e82bbdca91aa42a9 SHA1 98016f0ccfa6c54234e22b46032bb0b2f5d7ac20 SHA256 bbc6563fd14a6a4a88efca55fa75e74d9b5c2a9f5d3044239f3f83dc2967ad62
DIST Users_Guide_5_20.pdf 9585654 RMD160 9d5b8817f9bf2847b22fe94d003b6c08d2a82d2a SHA1 7ff8b86bc224c1ca088999cfe1d907114dd65104 SHA256 dc8884277e1e3eb2ef997d24dc5ca8fc7d7c2f3fc1a208266604d467f2d27c72
DIST root_v5.20.00.source.tar.gz 25349138 RMD160 daa702dd8729d125f57a4ac3bf35ea1e84c15e22 SHA1 20ab6f3ad974449ad105c3e330a28f80ea310501 SHA256 8286c78d5c9ac10b0d0b93c8ef353f1399b1c034384f0ac4845a4df1efd09a87
-EBUILD root-5.20.00-r1.ebuild 6615 RMD160 2a306d8e14d4e418b13f5335b1911b9e559f8b29 SHA1 f7186af40ed093f6017a15dc053be5145b66e267 SHA256 78b76eed85f00e4a35f5742ca6a365d16161a991140fde218f0223682948b729
-MISC ChangeLog 597 RMD160 cfffe6da0c20bde132b29ff09b72cd12708f14c6 SHA1 a8077b62b0b7dbe4969e79d8d18f5e67e9a0358e SHA256 4ac571b009005fb69451daade216c7dd4fe10e7a6e824c95cb9d1eaa67e72a50
+EBUILD root-5.20.00-r1.ebuild 7008 RMD160 16053131209e72d52163cfb4c6ac200268b00b5b SHA1 52a04ff78d22c0738cec921371629d254becf682 SHA256 349b736e6b60154995fd976a645578918ac42e12bbe7200103ecf65194f4e236
+MISC ChangeLog 736 RMD160 86d3e4d9719984f691f5802faad6512ead470228 SHA1 de23ea88f0f90211f2609ce1f1f35ea7f04fab8a SHA256 79db65171cf176ed7cd9d934d5ac0d8dc5fe25958a4095909dcb124257339e77
MISC metadata.xml 2765 RMD160 b3747242b843d9dde7b5a536bc58a9d50872102f SHA1 c169daa3081e7f8ebf3c05355614a0a0d272ba64 SHA256 dd6f601fe7cae5f3980522cec64c91f98b45fa49735db792d96c3ad0279042c8
diff --git a/sci-physics/root/root-5.20.00-r1.ebuild b/sci-physics/root/root-5.20.00-r1.ebuild
index 5463041f0..80d4ea4c4 100644
--- a/sci-physics/root/root-5.20.00-r1.ebuild
+++ b/sci-physics/root/root-5.20.00-r1.ebuild
@@ -3,7 +3,7 @@
# $Header: /var/cvsroot/gentoo-x86/sci-physics/root/root-5.20.00.ebuild,v 1.4 2008/07/29 10:43:53 bicatali Exp $
EAPI=1
-inherit versionator flag-o-matic eutils toolchain-funcs qt4 fortran
+inherit versionator eutils toolchain-funcs qt4 fortran elisp-common
DOC_PV=$(get_major_version)_$(get_version_component_range 2)
ROOFIT_DOC_PV=2.07-29
@@ -21,7 +21,7 @@ SLOT="0"
LICENSE="LGPL-2.1"
KEYWORDS="~amd64 ~hppa ~sparc ~x86"
-IUSE="afs cern clarens doc fftw geant4 kerberos ldap +math mysql odbc
+IUSE="afs cern clarens doc emacs fftw geant4 kerberos ldap +math mysql odbc
oracle postgres pythia6 pythia8 python +reflex ruby qt4 ssl xml xrootd"
# libafterimage ignored, may be re-install for >=5.20
@@ -38,28 +38,29 @@ RDEPEND="sys-apps/shadow
media-libs/tiff
virtual/opengl
virtual/glu
- math? ( >=sci-libs/gsl-1.8 )
afs? ( >=net-fs/openafs-1.4.7 )
- mysql? ( virtual/mysql )
- postgres? ( virtual/postgresql-server )
+ clarens? ( dev-libs/xmlrpc-c )
+ emacs? ( virtual/emacs )
+ fftw? ( sci-libs/fftw:3.0 )
+ geant4? ( sci-physics/geant:4 )
kerberos? ( virtual/krb5 )
ldap? ( net-nds/openldap )
+ math? ( >=sci-libs/gsl-1.8 )
+ mysql? ( virtual/mysql )
+ odbc? ( || ( dev-db/unixODBC dev-db/libiodbc ) )
+ oracle? ( dev-db/oracle-instantclient-basic )
+ postgres? ( virtual/postgresql-server )
+ pythia6? ( sci-physics/pythia:6 )
+ pythia8? ( sci-physics/pythia:8 )
+ python? ( dev-lang/python )
qt4? ( || ( ( x11-libs/qt-gui:4
x11-libs/qt-opengl:4
x11-libs/qt-qt3support:4
x11-libs/qt-xmlpatterns:4 )
=x11-libs/qt-4.3* ) )
- fftw? ( sci-libs/fftw:3.0 )
- pythia6? ( sci-physics/pythia:6 )
- pythia8? ( sci-physics/pythia:8 )
- python? ( dev-lang/python )
ruby? ( dev-lang/ruby )
ssl? ( dev-libs/openssl )
- xml? ( dev-libs/libxml2 )
- geant4? ( sci-physics/geant:4 )
- odbc? ( || ( dev-db/unixODBC dev-db/libiodbc ) )
- oracle? ( dev-db/oracle-instantclient-basic )
- clarens? ( dev-libs/xmlrpc-c )"
+ xml? ( dev-libs/libxml2 )"
DEPEND="${RDEPEND}
cern? ( dev-lang/cfortran )
@@ -204,6 +205,9 @@ src_compile() {
emake || die "emake failed"
emake cintdlls || die "emake cintdlls failed"
+ if use emacs; then
+ elisp-compile build/misc/*.el || die "elisp-compile failed"
+ fi
}
src_install() {
@@ -214,6 +218,13 @@ src_install() {
use ruby && echo "RUBYLIB=/usr/$(get_libdir)/root" >> 99root
doenvd 99root || die "doenvd failed"
+ # The build system installs Emacs support unconditionally and in the wrong
+ # directory. Remove it and call elisp-install in case of USE=emacs.
+ rm -rf "${D}"/usr/share/emacs
+ if use emacs; then
+ elisp-install ${PN} build/misc/*.{el,elc} || die "elisp-install failed"
+ fi
+
if use doc; then
einfo "Installing user's guides"
insinto /usr/share/doc/${PF}